Get all tasksGET

Description

Returns all tasks on a board. For date grouped columns, it will only return a maximum of 20 tasks per cell. If a cell has more than 20 tasks, the response has tasksLimited=true. To get more tasks for a specific cell, take a look at Get tasks by swimlane and column.

See Get task for details of included properties for the individual tasks.

See also Get tasks in column to get the tasks for a single column.

Permissions

The API token needs All data read access.

Request format

curl https://kanbanflow.com/api/v1/tasks

Example response

[
    {
        "columnId": "C9LIn5sEEpqT",
        "columnName": "To-do",
        "tasksLimited": false,
        "tasks": [
            {
                "_id": "T3s6UGyzY",
                "name": "Write report",
                "description": "",
                "color": "red",
                "columnId": "C9LIn5sEEpqT",
                "createdTimestamp": "2023-12-31T20:00:00.000Z"
            }
        ]
    },
    {
        "columnId": "CAtDNYBBuU04",
        "columnName": "Do today",
        "tasksLimited": false,
        "tasks": []
    },
    {
        "columnId": "CBO1VNGqDc4K",
        "columnName": "In progress",
        "tasksLimited": false,
        "tasks": []
    },
    {
        "columnId": "COxkPjd0wra4",
        "columnName": "Done",
        "tasksLimited": false,
        "tasks": []
    }
]